# Uses of Interface
com.sun.mirror.type.ClassType

Packages that use ClassType
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.type
Interfaces used to model types.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of ClassType in com.sun.mirror.declaration

Methods in com.sun.mirror.declaration that return ClassType
Modifier and Type
Method
Description
`ClassType`
ClassDeclaration.`getSuperclass()`
Returns the class type directly extended by this class.

## Uses of ClassType in com.sun.mirror.type

Subinterfaces of ClassType in com.sun.mirror.type
Modifier and Type
Interface
Description
`interface`
`EnumType`
Represents an enum type.
Methods in com.sun.mirror.type that return ClassType
Modifier and Type
Method
Description
`ClassType`
ClassType.`getSuperclass()`
Returns the class type that is a direct supertype of this one.

## Uses of ClassType in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type ClassType
Modifier and Type
Method
Description
`void`
SimpleTypeVisitor.`visitClassType(ClassType t)`
Visits a class type.
`void`
TypeVisitor.`visitClassType(ClassType t)`
Visits a class type.